package com.qs.mp.channel.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.channel.domain.ChannelGoodsSettleOrder;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.channel.domain.param.PushChannelGoodsSettleParam;
import com.qs.mp.channel.domain.vo.ChannelSettleVO;
import com.qs.mp.pay.domain.PayOrder;

import java.util.List;

/**
 * <p>
 * 经销商商品结算订单 服务类
 * </p>
 *
 * @author quanshu
 * @since 2023-06-08
 */
public interface IChannelGoodsSettleOrderService extends IService<ChannelGoodsSettleOrder> {

    /**
     * 推送结算订单
     *
     * @param settleVO
     * @return
     */
    String pushSettleOrder(PushChannelGoodsSettleParam settleVO);

    /**
     * 支付成功回调
     * @param payOrder
     */
    void paySuccess(PayOrder payOrder);

    List<ChannelSettleVO> listGoodsSettleOrder(QueryWrapper<ChannelGoodsSettleOrder> channelGoodsSettleOrderQueryWrapper);
}
