package com.qs.mp.pay.domain;

import com.fasterxml.jackson.annotation.JsonInclude;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class DougongPayRequestParam {
    //公众账号ID
    private String appid;
    //商户号
    private String mchId;
    //设备号
    private String deviceInfo;
    //随机字符串
    private String nonceStr;
    //签名
    private String sign;
    //签名类型
    private String signType;
    //商品描述
    private String body;
    //商品详情
    private String detail;
    //附加数据
    private String attach;
    //商户订单号
    private String tradesOrderId;
    //标价币种 默认人民币：CNY
    private String feeType;
    //标价金额 单位为分
    private Integer totalFee;
    //终端IP
    private String spbillCreateIp;
    //交易起始时间 格式为yyyyMMddHHmmss
    private String timeStart;
    //交易结束时间 格式为yyyyMMddHHmmss
    private String timeExpire;
    //商品标记
    private String goodsTag;
    //通知地址
    private String notifyUrl;
    //交易类型 JSAPI，NATIVE，APP
    private String tradeType;
    //商品ID
    private String productId;
    //指定支付方式
    private String limitPay;
    //用户标识
    private String openid;

    //子商户号
    private String subMchId;

    //子商户公众账号ID
    private String subAppid;

    //用户子标识
    private String subOpenid;
    /**
     * 退款请求参数
     */

    //微信订单号
    private String transactionId;
    //商户退款单号
    private String outRefundNo;
    //退款金额
    private Integer refundFee;
    //货币种类
    private String refundFeeType;
    //操作员
    private String opUserId;
    //微信退款单号
    private String refundId;
    //对账单日期 格式：20140603
    private String billDate;
    //账单类型 ALL，返回当日所有订单信息，默认值
    //COUNT，返回当日成功支付的订单
    //REFUND，返回当日退款订单
    private String billType;

    /**
     * 微信上报
     */
    //接口URL
    private String interfaceUrl;
    //接口耗时
    private Integer executeTime;
    //返回状态码
    private String returnCode;
    //业务结果
    private String resultCode;
    //访问接口IP
    private String userIp;

    //URL链接
    private String shorturl;
    //扫码支付授权码，设备读取用户微信中的条码或者二维码信息
    private String authCode;
    //退款资金来源仅针对老资金流商户使用
    //REFUND_SOURCE_UNSETTLED_FUNDS---未结算资金退款（默认使用未结算资金退款）
    //REFUND_SOURCE_RECHARGE_FUNDS---可用余额退款
    private String refundAccount;

    private String clientIp;
    //场景信息//IOS移动应用
    //{"h5_info": {"type":"IOS","app_name": "王者荣耀","bundle_id": "com.tencent.wzryIOS"}}

    //安卓移动应用
    //{"h5_info": {"type":"Android","app_name": "王者荣耀","package_name": "com.tencent.tmgp.sgame"}}

    //WAP网站应用
    //{"h5_info": {"type":"Wap","wap_url": "https://pay.qq.com","wap_name": "腾讯充值"}}
    private String sceneInfo;

    private String huifuTransDate;//汇付支付交易时间，实际上就是订单的汇付支付时间，格式按照要求必须为：yyyyMMdd

    private String huifuOrdType;//汇付订单类型，1-支付订单2-退款订单

    private String couponId;
    private Integer discountMoney;
    private Integer originalMoney;
    private String merchantNo;
    private String productType;

    private Integer faceValue;

    public String getCouponId() {
        return couponId;
    }

    public void setCouponId(String couponId) {
        this.couponId = couponId;
    }

    public Integer getDiscountMoney() {
        return discountMoney;
    }

    public void setDiscountMoney(Integer discountMoney) {
        this.discountMoney = discountMoney;
    }

    public Integer getOriginalMoney() {
        return originalMoney;
    }

    public void setOriginalMoney(Integer originalMoney) {
        this.originalMoney = originalMoney;
    }

    public String getMerchantNo() {
        return merchantNo;
    }

    public void setMerchantNo(String merchantNo) {
        this.merchantNo = merchantNo;
    }

    public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }

    public Integer getFaceValue() {
        return faceValue;
    }

    public void setFaceValue(Integer faceValue) {
        this.faceValue = faceValue;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getMchId() {
        return mchId;
    }

    public void setMchId(String mchId) {
        this.mchId = mchId;
    }

    public String getDeviceInfo() {
        return deviceInfo;
    }

    public void setDeviceInfo(String deviceInfo) {
        this.deviceInfo = deviceInfo;
    }

    public String getNonceStr() {
        return nonceStr;
    }

    public void setNonceStr(String nonceStr) {
        this.nonceStr = nonceStr;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getSignType() {
        return signType;
    }

    public void setSignType(String signType) {
        this.signType = signType;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    public String getAttach() {
        return attach;
    }

    public void setAttach(String attach) {
        this.attach = attach;
    }

    public String getTradesOrderId() {
        return tradesOrderId;
    }

    public void setTradesOrderId(String tradesOrderId) {
        this.tradesOrderId = tradesOrderId;
    }

    public String getFeeType() {
        return feeType;
    }

    public void setFeeType(String feeType) {
        this.feeType = feeType;
    }

    public Integer getTotalFee() {
        return totalFee;
    }

    public void setTotalFee(Integer totalFee) {
        this.totalFee = totalFee;
    }

    public String getSpbillCreateIp() {
        return spbillCreateIp;
    }

    public void setSpbillCreateIp(String spbillCreateIp) {
        this.spbillCreateIp = spbillCreateIp;
    }

    public String getTimeStart() {
        return timeStart;
    }

    public void setTimeStart(String timeStart) {
        this.timeStart = timeStart;
    }

    public String getTimeExpire() {
        return timeExpire;
    }

    public void setTimeExpire(String timeExpire) {
        this.timeExpire = timeExpire;
    }

    public String getGoodsTag() {
        return goodsTag;
    }

    public void setGoodsTag(String goodsTag) {
        this.goodsTag = goodsTag;
    }

    public String getNotifyUrl() {
        return notifyUrl;
    }

    public void setNotifyUrl(String notifyUrl) {
        this.notifyUrl = notifyUrl;
    }

    public String getTradeType() {
        return tradeType;
    }

    public void setTradeType(String tradeType) {
        this.tradeType = tradeType;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getLimitPay() {
        return limitPay;
    }

    public void setLimitPay(String limitPay) {
        this.limitPay = limitPay;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getSubMchId() {
        return subMchId;
    }

    public void setSubMchId(String subMchId) {
        this.subMchId = subMchId;
    }

    public String getSubAppid() {
        return subAppid;
    }

    public void setSubAppid(String subAppid) {
        this.subAppid = subAppid;
    }

    public String getSubOpenid() {
        return subOpenid;
    }

    public void setSubOpenid(String subOpenid) {
        this.subOpenid = subOpenid;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public String getOutRefundNo() {
        return outRefundNo;
    }

    public void setOutRefundNo(String outRefundNo) {
        this.outRefundNo = outRefundNo;
    }

    public Integer getRefundFee() {
        return refundFee;
    }

    public void setRefundFee(Integer refundFee) {
        this.refundFee = refundFee;
    }

    public String getRefundFeeType() {
        return refundFeeType;
    }

    public void setRefundFeeType(String refundFeeType) {
        this.refundFeeType = refundFeeType;
    }

    public String getOpUserId() {
        return opUserId;
    }

    public void setOpUserId(String opUserId) {
        this.opUserId = opUserId;
    }

    public String getRefundId() {
        return refundId;
    }

    public void setRefundId(String refundId) {
        this.refundId = refundId;
    }

    public String getBillDate() {
        return billDate;
    }

    public void setBillDate(String billDate) {
        this.billDate = billDate;
    }

    public String getBillType() {
        return billType;
    }

    public void setBillType(String billType) {
        this.billType = billType;
    }

    public String getInterfaceUrl() {
        return interfaceUrl;
    }

    public void setInterfaceUrl(String interfaceUrl) {
        this.interfaceUrl = interfaceUrl;
    }

    public Integer getExecuteTime() {
        return executeTime;
    }

    public void setExecuteTime(Integer executeTime) {
        this.executeTime = executeTime;
    }

    public String getReturnCode() {
        return returnCode;
    }

    public void setReturnCode(String returnCode) {
        this.returnCode = returnCode;
    }

    public String getResultCode() {
        return resultCode;
    }

    public void setResultCode(String resultCode) {
        this.resultCode = resultCode;
    }

    public String getUserIp() {
        return userIp;
    }

    public void setUserIp(String userIp) {
        this.userIp = userIp;
    }

    public String getShorturl() {
        return shorturl;
    }

    public void setShorturl(String shorturl) {
        this.shorturl = shorturl;
    }

    public String getAuthCode() {
        return authCode;
    }

    public void setAuthCode(String authCode) {
        this.authCode = authCode;
    }

    public String getRefundAccount() {
        return refundAccount;
    }

    public void setRefundAccount(String refundAccount) {
        this.refundAccount = refundAccount;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    public String getSceneInfo() {
        return sceneInfo;
    }

    public void setSceneInfo(String sceneInfo) {
        this.sceneInfo = sceneInfo;
    }

    public String getHuifuTransDate() {
        return huifuTransDate;
    }

    public void setHuifuTransDate(String huifuTransDate) {
        this.huifuTransDate = huifuTransDate;
    }

    public String getHuifuOrdType() {
        return huifuOrdType;
    }

    public void setHuifuOrdType(String huifuOrdType) {
        this.huifuOrdType = huifuOrdType;
    }

    public String getPayStyle() {
        return payStyle;
    }

    public void setPayStyle(String payStyle) {
        this.payStyle = payStyle;
    }

    public String getHuifuPayId() {
        return huifuPayId;
    }

    public void setHuifuPayId(String huifuPayId) {
        this.huifuPayId = huifuPayId;
    }

    public String getCcbPayId() {
        return ccbPayId;
    }

    public void setCcbPayId(String ccbPayId) {
        this.ccbPayId = ccbPayId;
    }

    private String payStyle;//支付方式:wx/wx_huifu/ali/ali_huifu

    private String huifuPayId;//汇付支付单号，原始订单号+P+时间戳

    private String ccbPayId;//建行支付单号，原始订单号+P+时间戳












    @Override
    public String toString() {
        return "WxRequestParam{" +
            "appid='" + appid + '\'' +
            ", mch_id='" + mchId + '\'' +
            ", deviceInfo='" + deviceInfo + '\'' +
            ", nonceStr='" + nonceStr + '\'' +
            ", sign='" + sign + '\'' +
            ", signType='" + signType + '\'' +
            ", body='" + body + '\'' +
            ", detail='" + detail + '\'' +
            ", attach='" + attach + '\'' +
            ", outTradeNo='" + tradesOrderId + '\'' +
            ", feeType='" + feeType + '\'' +
            ", total_fee=" + totalFee +
            ", spbillCreateIp='" + spbillCreateIp + '\'' +
            ", timeStart='" + timeStart + '\'' +
            ", timeExpire='" + timeExpire + '\'' +
            ", goodsTag='" + goodsTag + '\'' +
            ", notifyUrl='" + notifyUrl + '\'' +
            ", tradeType='" + tradeType + '\'' +
            ", productId='" + productId + '\'' +
            ", limitPay='" + limitPay + '\'' +
            ", openid='" + openid + '\'' +
            ", subMchId='" + subMchId + '\'' +
            ", subAppid='" + subAppid + '\'' +
            ", subOpenid='" + subOpenid + '\'' +
            ", transactionId='" + transactionId + '\'' +
            ", outRefundNo='" + outRefundNo + '\'' +
            ", refund_fee=" + refundFee +
            ", refundFeeType='" + refundFeeType + '\'' +
            ", opUserId='" + opUserId + '\'' +
            ", refundId='" + refundId + '\'' +
            ", billDate='" + billDate + '\'' +
            ", billType='" + billType + '\'' +
            ", interfaceUrl='" + interfaceUrl + '\'' +
            ", executeTime=" + executeTime +
            ", returnCode='" + returnCode + '\'' +
            ", resultCode='" + resultCode + '\'' +
            ", userIp='" + userIp + '\'' +
            ", shorturl='" + shorturl + '\'' +
            ", authCode='" + authCode + '\'' +
            ", refundAccount='" + refundAccount + '\'' +
            ", sceneInfo='" + sceneInfo + '\'' +
            '}';
    }
}
